[ubuntu/jaunty-security] python2.5 (delayed), python2.5 2.5.4-1ubuntu4.1 (Accepted)

Ubuntu Installer archive at ubuntu.com
Thu Jan 21 21:03:38 GMT 2010


python2.5 (2.5.4-1ubuntu4.1) jaunty-security; urgency=low

  * SECURITY UPDATE: fix DoS via malformed XML
    - debian/patches/CVE-2009-3720.dpatch: update Modules/expat/xmltok_impl.c
      to not access beyond end of input string
    - CVE-2009-3720
  * SECURITY UPDATE: fix DoS via malformed UTF-8 sequences
    - debian/patches/CVE-2009-3560.dpatch: update Modules/expat/xmlparse.c to
      properly recognize the end of a token
    - CVE-2009-3560

Date: Wed, 20 Jan 2010 08:21:05 -0600
Changed-By: Jamie Strandboge <jamie at ubuntu.com>
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss at lists.ubuntu.com>
https://launchpad.net/ubuntu/jaunty/+source/python2.5/2.5.4-1ubuntu4.1
-------------- next part --------------
Format: 1.8
Date: Wed, 20 Jan 2010 08:21:05 -0600
Source: python2.5
Binary: python2.5 python2.5-minimal python2.5-examples python2.5-dev idle-python2.5 python2.5-doc python2.5-dbg
Architecture: source
Version: 2.5.4-1ubuntu4.1
Distribution: jaunty-security
Urgency: low
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Jamie Strandboge <jamie at ubuntu.com>
Description: 
 idle-python2.5 - An IDE for Python (v2.5) using Tkinter
 python2.5  - An interactive high-level object-oriented language (version 2.5)
 python2.5-dbg - Debug Build of the Python Interpreter (version 2.5)
 python2.5-dev - Header files and a static library for Python (v2.5)
 python2.5-doc - Documentation for the high-level object-oriented language Python 
 python2.5-examples - Examples for the Python language (v2.5)
 python2.5-minimal - A minimal subset of the Python language (version 2.5)
Changes: 
 python2.5 (2.5.4-1ubuntu4.1) jaunty-security; urgency=low
 .
   * SECURITY UPDATE: fix DoS via malformed XML
     - debian/patches/CVE-2009-3720.dpatch: update Modules/expat/xmltok_impl.c
       to not access beyond end of input string
     - CVE-2009-3720
   * SECURITY UPDATE: fix DoS via malformed UTF-8 sequences
     - debian/patches/CVE-2009-3560.dpatch: update Modules/expat/xmlparse.c to
       properly recognize the end of a token
     - CVE-2009-3560
Checksums-Sha1: 
 d795a050623b248a82b69b13bacda5d0c84d4f96 1962 python2.5_2.5.4-1ubuntu4.1.dsc
 61934716f175287d0050cdeb4d87fcfe3b785fe3 2998798 python2.5_2.5.4-1ubuntu4.1.diff.gz
Checksums-Sha256: 
 44ce85a407b5bb9fb3927dc8c0b5241bd07ad15f5785d51849fb69a5ce533021 1962 python2.5_2.5.4-1ubuntu4.1.dsc
 98aa715780ab50f0baa7e08b584d07b4b4e5c11a11b564b05f2cdcfbae93ebf4 2998798 python2.5_2.5.4-1ubuntu4.1.diff.gz
Files: 
 288816e8bb214fae5fa20323e0a8884a 1962 python optional python2.5_2.5.4-1ubuntu4.1.dsc
 c96f74cffbaec47782c41ec0ad2584fd 2998798 python optional python2.5_2.5.4-1ubuntu4.1.diff.gz
Original-Maintainer: Matthias Klose <doko at debian.org>


More information about the Jaunty-changes mailing list